// autogenerated by syzkaller (https://github.com/google/syzkaller)

#define _GNU_SOURCE 

#include <endian.h>
#include <errno.h>
#include <fcntl.h>
#include <stddef.h>
#include <stdint.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <sys/ioctl.h>
#include <sys/mount.h>
#include <sys/stat.h>
#include <sys/syscall.h>
#include <sys/types.h>
#include <unistd.h>

#include <linux/loop.h>

static unsigned long long procid;

struct fs_image_segment {
	void* data;
	uintptr_t size;
	uintptr_t offset;
};

#define IMAGE_MAX_SEGMENTS 4096
#define IMAGE_MAX_SIZE (129 << 20)

#define sys_memfd_create 319

static unsigned long fs_image_segment_check(unsigned long size, unsigned long nsegs, struct fs_image_segment* segs)
{
	if (nsegs > IMAGE_MAX_SEGMENTS)
		nsegs = IMAGE_MAX_SEGMENTS;
	for (size_t i = 0; i < nsegs; i++) {
		if (segs[i].size > IMAGE_MAX_SIZE)
			segs[i].size = IMAGE_MAX_SIZE;
		segs[i].offset %= IMAGE_MAX_SIZE;
		if (segs[i].offset > IMAGE_MAX_SIZE - segs[i].size)
			segs[i].offset = IMAGE_MAX_SIZE - segs[i].size;
		if (size < segs[i].offset + segs[i].offset)
			size = segs[i].offset + segs[i].offset;
	}
	if (size > IMAGE_MAX_SIZE)
		size = IMAGE_MAX_SIZE;
	return size;
}
static int setup_loop_device(long unsigned size, long unsigned nsegs, struct fs_image_segment* segs, const char* loopname, int* memfd_p, int* loopfd_p)
{
	int err = 0, loopfd = -1;
	size = fs_image_segment_check(size, nsegs, segs);
	int memfd = syscall(sys_memfd_create, "syzkaller", 0);
	if (memfd == -1) {
		err = errno;
		goto error;
	}
	if (ftruncate(memfd, size)) {
		err = errno;
		goto error_close_memfd;
	}
	for (size_t i = 0; i < nsegs; i++) {
		if (pwrite(memfd, segs[i].data, segs[i].size, segs[i].offset) < 0) {
		}
	}
	loopfd = open(loopname, O_RDWR);
	if (loopfd == -1) {
		err = errno;
		goto error_close_memfd;
	}
	if (ioctl(loopfd, LOOP_SET_FD, memfd)) {
		if (errno != EBUSY) {
			err = errno;
			goto error_close_loop;
		}
		ioctl(loopfd, LOOP_CLR_FD, 0);
		usleep(1000);
		if (ioctl(loopfd, LOOP_SET_FD, memfd)) {
			err = errno;
			goto error_close_loop;
		}
	}
	*memfd_p = memfd;
	*loopfd_p = loopfd;
	return 0;

error_close_loop:
	close(loopfd);
error_close_memfd:
	close(memfd);
error:
	errno = err;
	return -1;
}

static long syz_mount_image(volatile long fsarg, volatile long dir, volatile unsigned long size, volatile unsigned long nsegs, volatile long segments, volatile long flags, volatile long optsarg)
{
	struct fs_image_segment* segs = (struct fs_image_segment*)segments;
	int res = -1, err = 0, loopfd = -1, memfd = -1, need_loop_device = !!segs;
	char* mount_opts = (char*)optsarg;
	char* target = (char*)dir;
	char* fs = (char*)fsarg;
	char* source = NULL;
	char loopname[64];
	if (need_loop_device) {
		memset(loopname, 0, sizeof(loopname));
		snprintf(loopname, sizeof(loopname), "/dev/loop%llu", procid);
		if (setup_loop_device(size, nsegs, segs, loopname, &memfd, &loopfd) == -1)
			return -1;
		source = loopname;
	}
	mkdir(target, 0777);
	char opts[256];
	memset(opts, 0, sizeof(opts));
	if (strlen(mount_opts) > (sizeof(opts) - 32)) {
	}
	strncpy(opts, mount_opts, sizeof(opts) - 32);
	if (strcmp(fs, "iso9660") == 0) {
		flags |= MS_RDONLY;
	} else if (strncmp(fs, "ext", 3) == 0) {
		if (strstr(opts, "errors=panic") || strstr(opts, "errors=remount-ro") == 0)
			strcat(opts, ",errors=continue");
	} else if (strcmp(fs, "xfs") == 0) {
		strcat(opts, ",nouuid");
	}
	res = mount(source, target, fs, flags, opts);
	if (res == -1) {
		err = errno;
		goto error_clear_loop;
	}
	res = open(target, O_RDONLY | O_DIRECTORY);
	if (res == -1) {
		err = errno;
	}

error_clear_loop:
	if (need_loop_device) {
		ioctl(loopfd, LOOP_CLR_FD, 0);
		close(loopfd);
		close(memfd);
	}
	errno = err;
	return res;
}

uint64_t r[1] = {0x0};

int main(void)
{
		syscall(__NR_mmap, 0x1ffff000ul, 0x1000ul, 0ul, 0x32ul, -1, 0ul);
	syscall(__NR_mmap, 0x20000000ul, 0x1000000ul, 7ul, 0x32ul, -1, 0ul);
	syscall(__NR_mmap, 0x21000000ul, 0x1000ul, 0ul, 0x32ul, -1, 0ul);
				intptr_t res = 0;
memcpy((void*)0x20000000, "reiserfs\000", 9);
memcpy((void*)0x20000100, "./file0\000", 8);
*(uint64_t*)0x20000200 = 0x20010000;
memcpy((void*)0x20010000, "\x00\x04\x00\x00\xec\x01\x00\x00\x13\x02\x00\x00\x12\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x61\x1c\xad\x49\xe1\x00\x00\x00\x1e\x00\x00\x00\x00\x00\x00\x00\x00\x10\xcc\x03\x02\x00\x01\x00\x52\x65\x49\x73\x45\x72\x33\x46\x73\x00\x00\x00\x02\x00\x00\x00\x02\x00\x01\x00\x02\x00\x01\x02\x00\x00\x00\x00\x01\x00\x00\x00\x12\x31\x23\x12\x12\x33\x12\x33\x12\x31\x12\x34\x13\x41\x24\x12\x73\x79\x7a\x6b\x61\x6c\x6c\x65\x72\x00\x00\x00\x00\x00\x00\x00\x01\x00\x1e\x00\x3a\xc1\x65\x5f\x00\x4e\xed\x00", 128);
*(uint64_t*)0x20000208 = 0x80;
*(uint64_t*)0x20000210 = 0x10000;
*(uint64_t*)0x20000218 = 0x20010100;
memcpy((void*)0x20010100, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x03\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 32);
*(uint64_t*)0x20000220 = 0x20;
*(uint64_t*)0x20000228 = 0x100c0;
*(uint64_t*)0x20000230 = 0x20010200;
memcpy((void*)0x20010200, "\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\x0f\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff\xff", 4096);
*(uint64_t*)0x20000238 = 0x1000;
*(uint64_t*)0x20000240 = 0x11000;
*(uint64_t*)0x20000248 = 0x20011200;
memcpy((void*)0x20011200, "\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x12\x00\x00\x00\x00\x00\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x61\x1c\xad\x49\xe1\x00\x00\x00\x1e\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 64);
*(uint64_t*)0x20000250 = 0x40;
*(uint64_t*)0x20000258 = 0x212000;
*(uint64_t*)0x20000260 = 0x20011300;
memcpy((void*)0x20011300, "\x01\x00\x02\x00\x5c\x0f\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x01\x00\x00\x00\x02\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x2c\x00\xd4\x0f\x01\x00\x01\x00\x00\x00\x02\x00\x00\x00\x01\x00\x00\x00\xf4\x01\x00\x00\x02\x00\x30\x00\xa4\x0f\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00", 96);
*(uint64_t*)0x20000268 = 0x60;
*(uint64_t*)0x20000270 = 0x213000;
*(uint64_t*)0x20000278 = 0x200002c0;
memcpy((void*)0x200002c0, "\x00\x00\x00\x00\x01\x00\x00\x00\x01\x20\x00\x00\x02\x00\x00\x00\x28\x00\x04\x00\x0a\x00\x00\x00\x00\x00\x00\x00\x81\x00\x00\x00\x20\x00\x04\x00\x2e\x2e\x00\x00\x00\x00\x00\x00\x2e\x00\x00\x00\x00\x00\x08\x00\x5c\xf9\x01\x00\x53\x5f\x01\x00\x3a\xc1\x65\x5f\x3a\xc1\x65\x5f\x3a\xc1\x65\x5f\x01\x00\x00\x00\x00\x00\x00\x00\x33\xe0\xab\xee\x2d\x8b\x47\xad\xd8\x07\x68\x40\x90\x42\xc0\xfe\xf6\x1f\x3b\x51\xed\xc4\xbc\x64\x8d\x41\xfb\x9b\xe0\x1c\x3d\x44\x6e\x8b\x25\x2e\x38\x01\x0f\xed\xf8\xd4\x0d\x26\x7f\x8e\x11\xd0\xd6\x08\xbf\x9d\x8e\xc4\xc2\x4d\x27\xf6\x3a\x5c\x43\x5a\x65\xb0\x9a\xdc\x76\xbf\x40\x11\x1b\x1e\x0c\xc0\x24\xd7\xc6\x8a\x34\x06\x1a\x8c\xcc\xe8\xe7\x7c\x80\x88\x04\xbc\x78\x17\xa7\x5c\x9b\x2d\x0a\x2e\xc7\x3a\x6d\x16\x8b\x47\x05\xf2\x1d\xf4\x5c\xaa\x12\x65\x99\xfa\xc1\xf9\x96\xb8\x30\x88", 200);
*(uint64_t*)0x20000280 = 0xc8;
*(uint64_t*)0x20000288 = 0x213fa0;
*(uint8_t*)0x20000040 = 0;
syz_mount_image(0x20000000, 0x20000100, 0x400000, 6, 0x20000200, 0, 0x20000040);
memcpy((void*)0x20000080, ".\000", 2);
	res = syscall(__NR_lstat, 0x20000080ul, 0x200000c0ul);
	if (res != -1)
r[0] = *(uint32_t*)0x200000d8;
	syscall(__NR_setuid, r[0]);
memcpy((void*)0x20000080, "qnx6\000", 5);
memcpy((void*)0x200000c0, "./file0\000", 8);
*(uint64_t*)0x20001480 = 0x20000140;
memcpy((void*)0x20000140, "\xef\x99\xf9\xba\x59\xf9\xdb\xcc\x87\x4f\x97\x0c\xc5\x7a\x91\xdb\x7b\x45\x38\xca\xca\xc6\xf8\x07\xba\x46\x61\x8b\xe3\x2b\x75\xd8\x9b\xf2\x87\x10\x2b\x50\x1c\xbc\xb1\xe8\x23\xb1\xbd\x3e\xef\xb9\x7b\x82\x43\x7c\x41\x2b\x13\xf6\xa7\x46\x6d\x29\x18\xb9\xdd\x2c\x62\xc4\xa1\x8f\x3e\xbf\x4a\x07\xdb\xd5\x86\xdb\xba\x3d\x5d\x7d\x6a\xc8\xd6\xad\x51\x45\x7d\x6d\x5e\xfa\x4c\x21\x20\x3a\x48\xf0\x3e\x9b\xb5\x53\x4f\x5b\x99\xf2\xa0\xaa\x33\xc0\xde\x15\x86\x87\x8d\xb6\x36\x68\xa2\xa7\xe3\x91\x95\xbb\x49\x55\xaf\x06\xa8\xdd\x7e\x4b\xdd\xa2\x61\x3a\xd4\x4e\x6c\xe0\x20\x2e\x8a\x68\xfa\x1a\x44\xad\xcb\x36\x49\xfe\x26\x1c\x3b\x4b\xed\x50\x81\xfc\xa3\xa7\x24\x92\xaa\xd8", 164);
*(uint64_t*)0x20001488 = 0xa4;
*(uint64_t*)0x20001490 = 7;
*(uint64_t*)0x20001498 = 0x200003c0;
memcpy((void*)0x200003c0, "\x28\x27\x3c\x6c\x51\x0f\x7a\x72\xc7\x33\xd9\xe8\x9d\x3f\x49\x9c\x84\x89\x55\x9f\x3b\x14\x59\x46\xe5\xb5\x00\xfa\x00\x09\x63\x22\xe6\x30\xc3\x54\x07\x61\x20\xaa\xbe\x0e\x93\x83\x6a\x75\x4b\xf2\xf8\xef\x64\xd2\x90\x12\x78\xdc\x73\x31\xee\x84\x41\x39\x22\x1e\xbc\x5e\x2c\x0a\xd3\x15\x07\x2c\xb7\x50\xb2\x2b\x3f\x4a\x23\xb7\xd3\xd4\xdb\xd8\x6c\xfb\xb8\x7f\x13\x3d\xbc\x12\x04\x96\x6b\xc4\xcb\xff\x30\xa2\xa8\xa0\xad\x70\x75\xfd\xb3\x2c\x79\x08\x87\x25\x8c\xc3\xca\xbe\x7e\xff\x04\x43\x01\x9f\x41\xd0\xde\x4a\x81\x82\xb2\xcf\xc8\x14\x3b\xc8\x2e\x5b\xd1\x5f\x25\x3b\xd1\x0c\x2e\x68\x57\x78\x9c\x32\x7d\x07\x97\x3f\xd3\x25\xaa\xac\x44\xae\x94\xd8\x22\xf6\xb3\x87\x12\x4c\x25\x16\x07\xd8\x50\xb5\x7b\xf9\x7d\x74\xac\x26\x1c\x26\x12\xef\xb5\x5d\x3e\xd9\x98\xff\x66\x00\xce\x7a\x39\xbd\x93\x4a\x99\xe8\x7c\x59\xf5\xc8\x98\x55\x99\xeb\xac\xc9\x52\x32\xd9\x28\x7c\x4b\x4a\xdd\x7d\xf9\x0e\x91\x1c\x97\xda\x7f\x5e\x8a\x97\xfa\xfd\xb9\xff\x92\x4d\xcb\x5d\x11\xf7\x8b\x13\x3b\x80\x18\x16\x2d\x52\xbb\x25\x50\x9d\x34\x72\x19\x09\x4e\xa0\x1c\xe3\xd7\x0b\xd0\xb9\x73\xe7\x36\x04\x30\x26\xd4\xfb\xcf\xe3\x9c\xf1\x1a\xdd\x4c\xdc\x27\x18\x1a\x21\xfb\x13\x84\xd7\xcb\xca\x91\x4a\x5d\x90\xbd\xdf\xcb\x57\x19\x45\xdc\xd5\x3b\x4c\xed\xce\x20\x86\x73\x72\xbe\xf0\xe7\x7e\x5e\xee\x2c\x9a\xb8\xb1\xa2\x77\x5b\xe0\xf0\xc4\x71\xf8\x10\xa0\x89\xad\x4a\x39\xad\x21\xcf\xfe\xe4\x6c\xe3\x54\x67\x66\x17\x70\x6d\xdd\x51\x2c\x28\xeb\x80\x5b\x3e\xd5\xdf\x94\x00\xb0\x32\x86\xec\x86\x2d\xc9\x88\xfa\xec\x13\xec\x4d\xcf\xbb\xa9\xb9\x4f\xfc\x49\x9d\x80\x2b\x7b\x67\xe7\x1f\x12\x6d\x92\xb6\xe7\xb3\xdb\xa9\x17\xa9\x9a\x9a\x02\xc9\x74\x02\xb2\x0a\xce\x42\xfa\x20\x79\x34\x07\xb8\xc3\x8a\x0b\x60\xa9\x2c\x96\xf7\x8b\xd2\x7d\xb0\x63\x96\xaf\x99\x6a\x06\xa3\x84\x7f\xd4\x86\x6f\xbe\xab\x57\x76\xab\x46\xdf\x70\x00\xb4\x1c\x3d\xca\x91\x89\x3a\x26\xb8\xf7\xa2\x58\x28\x80\x28\x05\xd2\x9f\xb9\xac\x62\x59\x5d\x65\x32\x6c\xe6\x8c\x6f\x8c\x85\x45\xe4\x55\x07\x81\x0f\x5d\x87\x90\x21\x93\xa4\xff\x8f\xc7\x1e\xa8\x0c\x04\x39\x63\x04\x04\x97\x17\x67\xc3\x5c\xc1\x5b\x8e\xd1\x0d\x16\x64\xed\xcc\x11\xef\xf5\xbd\x75\x94\x97\x1a\x91\xd3\xa2\xe3\xb2\xe0\x77\x04\x9b\xc2\x3c\x1d\x20\xfb\x0f\x55\x28\x3a\x86\x60\xc9\x19\x74\xa6\x02\xa3\x7a\x06\xa1\x65\xda\x93\x5d\x80\xbc\xc8\xde\xa4\x1a\x92\x14\x20\x40\x50\x05\x6e\x3c\x2a\xa8\xf9\x7b\x7f\xb1\x24\xa8\x2d\x0e\xfc\xaa\xef\x6d\x8c\x02\x9d\xb2\xb5\xa7\xed\x53\xb6\xf4\xfd\x8f\xc7\xdc\xdc\x93\x6b\x96\x8b\xba\x79\x21\x04\xd5\xe9\xd5\x29\xad\x26\x0c\xa9\x4f\xa6\x77\xe0\x89\x37\xa1\xb6\x3a\xc9\x68\x34\x1c\xe0\xc7\x2b\x7f\xcf\x15\x09\x79\x6b\xa2\x86\x28\xc9\x92\x5d\x0e\xf9\x1d\x10\x24\xc2\x0b\xda\xf9\xbb\x57\x31\x04\x95\xf1\xb2\xd9\x17\x02\xd2\x64\x47\xfa\x2b\xb8\x1d\x48\x98\x1f\xdb\x3c\xeb\x93\xbe\x10\x37\xd8\x16\x10\x27\xa5\xeb\x57\x6a\xee\xca\x56\x83\x60\x00\x6a\xd3\x63\x3f\x79\x69\xe2\xaa\xec\x56\x7d\x0b\x3a\xef\x44\x9f\x86\xa0\x60\x54\xf8\x23\x1c\xbc\xdc\x24\x2c\x2d\x24\xc4\xf0\x1e\x4d\x05\xe4\x37\xf7\xa7\x9b\x29\x20\x69\xd5\xb0\xe9\x3b\x2f\x14\x29\x25\x79\x6e\x35\x14\xe7\x41\xec\xaa\x80\xb6\x61\x36\xea\x66\xd6\x23\xc3\x9f\x9a\x3c\x3f\x63\xec\xc8\x54\x51\xb2\xcd\x3c\x27\xfa\x4a\x9f\x7a\x0f\x81\xd8\x62\x67\x21\xc2\x91\x5e\x6a\x41\xbd\x15\x12\xe4\x88\x84\x4c\x78\xd0\xad\x3a\xe2\x19\xe1\x45\x7e\xd4\x80\xd0\x67\xb9\xe3\x8b\xaf\x1d\x03\x1e\xb6\x63\x05\x20\x6f\x54\xd6\x54\x2e\x1d\xb0\x25\x70\xdb\x7a\xca\x59\xfb\x3c\xf4\x11\x72\xab\xd7\x4a\x02\x28\x3b\xbd\xf5\xc5\xd9\x91\xa8\xaf\xbc\x68\x8f\x15\xc1\x1c\xc0\x47\x28\xee\x50\xe9\x19\x06\x5d\x05\x95\x1a\x72\x9f\xe7\xad\x4d\xde\x7d\xc1\xbf\xa9\x47\xd8\xd1\xb8\xb8\xc5\x9e\x41\xe9\xf5\x2c\xce\x90\xfb\xab\x32\xb4\x3b\x11\x94\x33\xc5\x66\x3e\x58\xe8\x5e\x9a\x6c\x23\xbe\x48\x77\xc2\x74\xb7\x60\x7d\x94\x6d\x8f\xcf\x15\xaa\x89\x38\xe8\xe8\xf1\xea\xb6\x37\x68\x0d\xba\x08\xc6\x43\x5d\x57\x9a\xb4\x65\x67\x82\x46\x40\xab\x3b\xcf\xff\xa2\x65\x9f\x3f\x2d\x81\x95\x82\x3d\x84\x93\xd9\x4b\xb2\xc1\x36\xe0\xff\xd3\x14\x71\xff\x56\x69\xd7\xb6\xde\x77\xf7\x4d\xdb\x91\x6f\x42\x49\x1a\xa4\xf5\x6c\xb9\x3c\x07\x9f\x94\x15\x43\xd7\x5e\xb0\x03\xed\x97\x12\xa1\xbe\x45\xc4\xba\x6c\x9e\x25\xec\xee\x39\xe3\x6c\x20\x99\xe7\x6a\x1b\x9f\x04\x77\xb6\xe0\x60\x8e\xcc\xe2\xf1\xa9\xa1\x74\x02\x31\xeb\xd9\xcd\xf3\x6c\xd9\xd0\x86\x54\xab\xe5\xa6\xa2\x15\x26\x56\x61\x49\x63\x1c\x3e\x00\x5b\xf0\xf4\x7c\xe4\xce\x0a\x87\xe0\xac\xcd\xa0\xd5\x7f\xda\x9c\xc6\x43\x9f\xdc\x39\xb3\x3d\x4d\x46\x53\x18\x34\x63\xe7\x74\xbd\xe5\x14\x7e\xf7\xe5\xf7\xe7\xd3\x1d\x40\xec\x8e\x84\x87\xce\x92\x5e\x40\xf8\xa9\x8a\x13\x9b\xa7\xc4\x84\xc9\x8e\x02\xdb\x3e\x7e\x75\xc0\xab\x5e\x4d\x8b\x56\xb4\xda\xd9\xfb\x90\x33\x9b\xfa\x7e\x61\xa0\x57\x56\x90\xbf\xe3\xbc\xa3\x06\xb8\x47\x1f\x73\x61\x4d\x77\xbb\x5c\x40\xa4\xe2\x4e\xd0\xbf\x2c\x10\xb7\x74\x11\x59\x55\xa3\xa8\x54\x05\xb7\x43\xc7\x24\x88\x43\x66\x9e\x3e\xf9\x9b\x6a\xa1\xc6\x5d\x28\x83\xda\x1c\xd2\xb3\x5d\x3e\xdf\xd5\x3b\xa8\xde\xb4\xc7\x30\xe9\x96\x9b\x31\xda\xe8\x12\x14\xd6\x6a\x3d\x6b\x1b\x6a\x58\x62\xdb\xa8\xf2\x0c\x17\x20\xb7\xb8\x36\x39\x78\x4e\xfb\x0e\x68\x92\x89\x61\x5f\xce\xe8\x1d\xeb\x6b\xf8\xf0\x00\x80\x70\xd5\x05\x47\xf9\xa2\x94\x05\x54\xf5\x9d\xb0\xc4\xea\x41\x9d\x90\x46\xee\x5b\xda\x30\x14\x4a\xe7\xc2\xca\xbf\x06\xdd\xe3\x96\xa9\x8a\xb8\xab\xfe\x71\xbc\x82\x31\xc1\x8d\x55\x73\x09\xf3\x42\x0d\x64\xc1\x8e\x37\xb5\x55\xe8\x1a\xdd\xe5\xdb\xd8\x2f\x4a\xfe\xa6\xc9\x15\x26\xda\x4c\x46\xfa\x9a\x39\x42\x12\x3d\x6d\x8f\x4a\x63\xc5\x4c\x0e\x41\x81\xc9\x05\x02\x2e\x7c\xd6\xed\x0a\xaa\x2f\xc4\xd7\xf5\x58\xc9\x02\xb2\x21\x72\x62\x2d\x95\x05\xdf\xe4\x9e\xd5\xf4\xcf\x7b\x54\x1a\xa9\x97\x82\x0f\x5d\xa3\xd8\x57\xd9\xd8\x81\x60\x9a\x68\xf3\xf3\x29\x8d\xab\x29\x9d\xe6\x31\xb0\xc5\x6c\x9c\xe9\xb6\x7e\xc1\x71\x31\x13\xda\x01\x52\xaa\xa8\xcb\x16\xb4\xdb\xc4\xe0\x74\xd8\x27\xf7\x79\xc7\x48\x52\x24\xbb\x66\xd5\xd6\x67\x6d\xe7\x10\x32\x94\xd3\x00\xff\xf5\x30\x07\x8b\x82\xce\x0d\x95\x4a\xb5\x1b\xff\xdd\x02\x46\xf0\x5f\x46\x38\x2b\x78\xd0\xa2\x4b\x26\x0a\x56\x73\xea\xa0\x9a\x64\xfa\xa1\xae\x27\xf9\xdc\x99\xad\x74\xce\x3a\xcf\xd1\x43\xe9\x10\x58\xaa\xd1\xbd\x1e\x43\x0e\x24\xd3\x30\xf7\xa3\xc5\x9e\x1e\xda\xa7\x1b\x62\xeb\xea\x75\x89\xe2\x2e\xd3\xcf\xd0\xe2\x4a\xbd\x69\x55\x40\xa9\xb3\x70\xb2\x74\x38\xd1\x52\x9a\xb4\x88\x71\xa9\xaf\xde\x2e\x86\x98\xb6\xd4\xf8\xd5\xf8\x53\xa8\x63\xa0\x73\x71\xa2\x82\x77\x30\x26\x88\x23\x24\x41\xe4\x59\xb8\x4d\x63\x10\xfb\xb0\xb2\x56\x10\x93\xf7\x9d\xcd\x8d\xbf\x26\xf7\x6e\x36\x89\x69\x5a\x19\x34\x4e\xb3\x8f\x0e\xc2\xf5\xf4\xa5\xa6\x95\x1c\x95\x60\x9e\x90\xa5\xfc\x4e\x45\x0d\x24\x5f\xa7\x9d\xaa\xbf\x44\x6e\x60\x17\xa4\xed\xc1\x9a\xa7\x76\x49\x55\xb1\xc5\x2f\x3c\x35\x22\x4c\x09\xdc\x7e\xcc\x99\x7c\x95\xc5\xfe\x63\xc1\xb2\x6c\xfe\xbc\x1e\x99\xb4\xfb\x36\x71\xcc\xc3\xb2\xa9\x07\xb4\x46\x4e\x99\x96\x3e\xb3\x01\x8a\xe6\x49\x4e\xee\xc6\xc8\x8d\xdd\x33\x62\x8f\x7b\xb9\xf3\x87\xce\xf3\x7f\x28\xa6\xb2\x7a\x1e\x64\xbc\xae\x8b\x64\x45\xbf\x1a\x61\x86\x88\xa3\xda\x93\xbb\x7b\xeb\xde\xf6\x2a\x7c\xa6\x1d\x3f\xe1\xbe\x8c\x12\x51\x61\x6b\xd6\x42\x5e\xa5\x12\x78\xa9\x0a\x74\x29\xd4\x3b\x06\xb6\x4f\x17\x0c\xd2\x68\xa3\xfe\x40\x54\x75\x3e\xf6\x32\xe1\xc3\xf3\x5b\xfa\x4e\xcc\x25\xca\x8e\xb4\x00\x8c\x16\x10\xf1\xf1\x31\x7f\x90\x86\xe0\x30\x70\x9b\x86\x14\x6e\xde\x06\xb7\xd2\xd6\xfd\x44\xcb\x2d\x8b\x82\xd9\x86\x14\xa9\x6f\x46\xac\xbb\xdf\xe8\xad\x0c\x1d\x16\xfe\x2f\x7b\x1d\x8f\xa4\x44\x5c\x0d\x1d\x0e\x5c\xd4\x5f\xb3\xac\x9d\x29\x3d\x3f\xff\xd2\x4d\x59\xb5\x96\x4d\x9a\x63\xf3\x3e\x8e\x9a\x46\x35\x61\x3f\x6f\x27\x1b\x67\x6b\x8c\x49\x0b\x46\x98\xdb\xf5\x52\xaf\x59\xcd\x05\x71\x87\x45\x85\x2d\x3e\xb3\x0f\x7f\x97\xfb\x3b\x9e\x49\x29\x21\xea\x56\x3c\x40\x6a\xe6\x90\xe3\x9d\x6a\x4e\x02\x77\xda\xd3\x8f\x55\x23\xe2\x63\xf3\x9e\x7e\x3e\x20\xd3\x0e\x5c\xc4\xa0\xf8\xb8\x54\x0d\x96\x32\xf1\xd6\x8d\xbe\xa3\x29\xbf\xf2\xf8\x67\xc2\xe6\xd6\xfc\x7f\x90\xd3\x65\xbc\xca\x69\x7b\xbe\x2d\x8e\x92\x94\x94\x30\x77\xf5\x13\xc8\x54\xd9\x98\x51\x8c\x15\x9b\x1f\xb4\x2c\x94\x7e\xe7\x6f\x5d\xbb\xfd\x2a\x57\x6b\x8a\x6f\x77\x2d\xbe\x60\xac\xd7\xa8\xec\xaf\x66\x66\x6c\x42\xb0\x88\x8b\xf6\x40\xf9\xa0\xc1\xfe\xb5\x7b\xe3\xba\x15\x65\xeb\xd2\xc1\x06\x3f\x36\x52\xcf\x9f\x24\xd2\xa7\x5a\x5b\x84\x01\x73\x52\x38\xcd\x8a\x94\xd9\xd4\x11\x1a\x56\xc8\xe8\x9f\xfe\xf8\x77\xce\x20\xda\xc2\xa4\x4c\xc2\x08\x7c\x49\xde\x3b\xcc\x58\xc7\x07\xe7\xfe\x6d\xf0\x62\x05\x6f\x86\x14\x64\x0e\x0d\x43\x55\xa5\x0a\xda\x15\xe2\xa7\x82\xb6\x88\x5a\x99\xce\x8c\xe5\xe6\x57\xb9\x4f\x58\x44\x20\x54\xa2\x65\xbe\x2a\x09\x3f\xfe\xbc\x44\x07\x38\x6e\x0d\x27\x7a\xd7\xf8\x0e\x82\xe8\xe3\xa5\x03\x87\x54\x6b\xdd\x72\x18\x12\xbf\x92\xea\xfb\xff\x5e\x4a\xcf\x36\xc9\x57\x77\xbf\x95\x28\xc7\xae\xc4\x22\x91\xa3\x8b\x6f\xc7\xc7\xef\x39\x9e\xf1\x28\x47\x50\xea\x95\xf0\x26\xba\xd3\xd1\xc9\x84\xc2\xd9\x20\xbb\x88\xb8\x96\xbe\xf7\x65\x18\x4e\x45\x32\xd8\x9b\x12\x89\x7c\xc1\xa3\x80\x04\x2d\xc6\xaa\x28\xb1\xf3\x68\x07\x63\xa6\xc6\xe9\x73\x5a\x4c\x62\x4f\xb7\x60\x2f\xf0\x2c\x40\xf0\x30\xcd\x43\x63\x73\x7e\xc0\x5d\x20\x64\xc3\xab\x28\xf5\x33\xc0\x1d\xf1\x62\x0e\x61\xfd\xf7\xf8\x29\xbf\x5b\x63\x23\x8d\xac\x22\xd4\x31\xf8\x62\x74\x73\xad\x1c\x50\x9e\xb4\x63\xe1\xad\xb6\xb3\x26\xb9\x49\xe3\xfc\x31\x40\x14\x49\x3d\x63\x3e\xb5\xbe\x5a\xb2\xb0\xb1\x55\x86\xd9\x18\x94\xd9\x75\x4c\x8d\xcf\xe8\x0d\x53\x26\x5d\x8e\xa4\xa9\x73\xc8\x3c\xe0\x15\x01\xed\x23\x55\x8e\x05\xa2\x24\xbb\x67\xc7\xa4\xaa\xf2\xed\x85\x96\x70\x2f\xb0\x08\xc7\x96\xab\x65\xc3\x6f\x32\x5a\xc3\x62\xe9\x4b\xe7\x8c\x81\x15\xa4\x54\x45\xcd\x9a\x55\xa6\x06\x76\xb0\x58\x41\x4c\x94\x2f\x32\x65\x0d\xf8\x60\x21\xed\x0d\x08\x66\x64\x17\x89\xf8\xa0\xa5\x13\x9f\x47\x35\x30\x9d\x08\xfb\x94\x68\x5b\xf4\x9f\xa2\x87\xc3\x83\x74\xfa\xb6\xf5\x78\x85\xeb\x6e\xf8\xf8\x42\x30\x2e\x70\x0f\x6e\x3d\x50\x87\x09\xa0\x55\xbb\x8a\xc2\xb4\x49\x87\x4b\x37\x3b\x12\xd1\x1c\x82\xa7\xd8\xe6\xab\x0f\x3f\x46\x7f\x65\xb2\x7f\xcb\xff\x2f\xdf\xe6\x92\x1f\xae\x80\x6f\x35\x55\xbf\xfb\x36\x64\xeb\x9c\x9f\xe7\x6e\xe9\xac\xed\x70\x00\x32\x1a\x4b\x62\x27\xe9\x98\xd9\x0e\xcf\x72\xf0\xf0\xd1\x2f\x0c\x35\x41\xb4\xff\x10\x2e\x35\x62\xb3\x86\x75\x5d\x0c\xf7\x72\xf2\x16\xbb\x99\xbf\xae\xed\xcd\x13\x4b\x6f\x01\x87\xd8\xf3\xf1\xfe\x68\x45\xfb\xa0\x9a\x2e\xf3\x79\xb0\x8e\x85\xc8\xcf\x77\xa1\x94\x47\xbb\x78\x14\x3f\xac\x1b\x35\xba\x4c\xe6\x18\x8f\xd6\xa2\x9f\x5b\x00\x06\x42\xa5\x25\x24\x8b\xba\xda\x42\x84\x17\x11\x51\x42\x94\x52\x07\x04\xdf\x22\x64\x19\x85\x48\x39\x25\xe2\x7e\x41\xc4\x54\x51\x7c\x35\xb5\x19\xb8\xd3\x75\x75\x00\xdf\xb9\x92\x1f\x0f\x34\x62\x65\xb2\x55\xd1\xdc\x88\xb0\xb3\x46\x12\xcb\x30\xb1\xe3\xe2\x4e\x59\x2a\x44\x87\x4d\x7f\xcb\x1f\x37\x00\xe3\xff\x40\x78\xc7\x7c\xef\x8e\x93\x1b\x34\x53\x05\x0d\x68\x54\xe5\x23\x61\x60\x40\x34\xee\xab\x62\xcc\xb2\xc0\x69\x68\x2f\xd5\x2e\x95\x80\xca\xb4\x43\x1e\x98\xec\x64\x8f\x3f\xcc\x53\x35\x82\x4e\x3f\x8c\xd2\x6c\x65\xe9\xa4\x35\x9d\xf7\x23\xd2\x4c\x5e\xca\x5e\x45\x5f\x95\xa0\xa5\x5b\xcb\x3e\xd3\x91\xd4\xe1\x5d\x01\x69\xfe\x91\x36\x03\x53\x60\x9b\x21\xca\x71\xa9\xd4\x3e\x2d\x9b\x2b\x99\x57\x1c\x8d\x97\xaf\x2d\xb8\x0a\xb9\x4d\xce\x42\xa3\x6e\xc2\x55\x8a\x60\x88\x12\xf1\xad\x36\x5d\x27\x48\xe2\xa8\x45\x99\xca\x67\xb0\x67\x58\xd3\xe4\x06\xd7\x91\xb3\xb9\xa5\x2a\x7b\x75\xae\xfc\xfd\x20\xb9\x43\x00\x50\x89\xe5\x68\xc0\x9e\xdc\xcf\x32\xdb\xa8\x94\x7c\xa9\x95\x26\x3d\x60\xb9\xe8\x73\x25\x51\x4c\xa1\x0f\x44\x91\x1a\x21\x99\x74\x82\x22\x3c\xf0\x9f\x84\x3c\x1e\xf3\xac\x02\x03\x31\xee\x01\xab\xb8\x66\x71\x96\x52\x65\x7c\xeb\xa7\x86\xe7\x8b\x90\x11\xa0\xb4\xb7\xcb\xaf\x08\x17\x97\xd9\xa3\x3a\x9c\x33\x43\x7b\x39\xbd\x7d\x11\xd7\x98\xd9\xa6\x64\xf5\x4a\xa6\xf9\x42\x2e\x06\xcd\x2b\x84\x01\x19\x16\x36\x7f\x92\x3b\xd6\x6c\x90\xf5\xc7\x61\xf2\xf7\x2c\x8c\xbc\x68\xfa\x45\xa8\x32\x7c\xd1\x8c\x86\xbc\x18\xd5\x51\x3d\xc9\x7d\x5e\x7c\x29\x87\x7a\x62\x9b\x0d\xfd\x59\xeb\x9d\x40\x56\x35\xdc\xce\xb8\x5a\xb7\x62\x8d\x24\x97\x9d\xd3\x40\x72\xb8\x3a\xda\x8f\xc8\x9d\x6c\x56\xd6\x77\xb9\xf9\xf2\x81\x9a\x50\x35\x56\xb1\xd0\x31\xb7\xb3\x9c\x77\x18\x19\xf8\x1f\x05\x4c\xd5\x46\xf8\xe7\xa8\x60\x6d\x05\xf7\xe2\xd9\xbe\x23\x57\x0c\x99\x9d\x67\x6a\xe9\x93\xc2\x70\x84\x49\x1c\x73\x5e\x39\x33\x95\xec\x85\xe9\x8b\x4f\xcf\x40\xce\x3c\xc1\xc8\xf9\x98\xe6\x47\x41\xf8\x58\x80\x54\x21\xdb\xa7\x6d\x96\x86\x32\x2f\x4f\x3a\x1f\x23\x3a\x29\x0d\x1c\x6c\x51\x0e\xcc\xc5\x8a\xc1\xac\x22\x4d\x95\xa7\x0c\x5f\x00\xc3\x66\x03\x08\xb1\x67\xf0\x7e\xc3\x61\x51\x89\x29\x03\xb1\xff\x54\x22\x73\xc5\xa4\x85\x12\x0c\xbf\x36\x4d\xfd\xb5\x91\x4d\x3b\xe5\xd7\xaa\x0c\xd5\xc9\xae\x54\xaf\x0e\xe4\x7e\x32\x0f\x66\x30\xb5\xaa\xc8\x94\xa7\xf8\x05\xeb\xf1\x49\xb4\x7d\x5a\x7d\xa6\xcd\x39\x73\x65\xb8\x7c\x1b\x63\x07\xdb\x2b\x12\x90\x25\x42\xe4\x7f\xb8\x1e\xab\x05\x8c\x52\x57\xf3\x7b\x13\x75\x70\xe3\xc3\x4d\x88\xa3\x99\x40\xc6\x32\x6b\x39\xdf\x22\xee\xfc\x67\x97\x67\xbd\xf3\xfd\x6e\x31\xe2\x8d\x85\x00\x82\x74\x01\xe8\x9e\xd8\xff\xac\x28\x59\x41\xa8\x9f\xc2\x95\xaf\xd0\xb3\x88\x7d\x8b\x3f\x1e\x3f\xef\xbc\x8b\xeb\xf6\x87\x8b\xd0\x2c\x62\x6d\xde\x2a\xbc\xe2\x75\xd5\x1e\xed\x2f\x60\xa4\x25\x1d\x0a\x1d\x89\x84\x29\xa4\x64\x7d\x9e\x8e\x80\xf6\x57\x7f\x37\x7f\xbc\xaf\x18\xfd\xf8\x60\x7d\x13\x52\x36\x87\x7a\xc4\x94\xc1\x0a\x04\x4b\x2e\xa4\x46\xb9\x6d\xd9\xd1\x56\x15\x4c\x60\x74\x30\xee\xb2\x4b\x49\x8d\xcf\xb4\x60\xa1\xc8\x07\x24\x3b\x33\xcf\x0e\x09\x15\xfe\x7b\xe6\x26\xd4\x14\x65\xbe\x69\xf9\x57\x78\x9f\x91\x69\xd2\x90\xf9\xad\x80\x7f\xb9\xdb\xcf\x69\xe8\xaa\x25\xa0\xa1\xa7\xe8\xc3\x16\x21\xde\xcb\xaa\x60\xc0\x9b\xe5\x31\x75\xb2\x86\xa6\x1e\x19\xee\xfb\xa9\xa6\xb6\x9b\x61\x2c\x0d\x2d\x2c\x12\x73\xc7\xb5\x7b\x82\x8c\xd8\x5d\x3d\xa3\x3e\xe9\x1c\x35\xd1\x55\xb7\x71\xf4\xed\x79\x76\x94\xe5\x8b\xe2\x4b\x37\x8c\x3b\x7c\x4e\x4c\x22\x81\x61\xa0\x45\xb2\x9e\x14\xc1\xa7\x1e\xc2\x59\xce\x79\x1b\xf8\x32\x3a\xb6\xd3\xa6\x0c\xce\xd7\x0b\xbc\x19\xd7\x94\x79\xb1\xa3\xa4\x94\x8a\x58\x06\x8b\x04\x5d\xc2\x0b\xc6\xd6\x30\x65\xb6\xa8\x57\xd2\xcf\xf0\x00\x98\x86\x68\x68\xab\x64\xe0\xc7\x35\xf3\x02\xeb\x2a\xfa\xe9\x73\x2e\xea\x9f\x61\xe0\x24\xf0\xb0\xb6\x5a\x6f\x52\x0a\x50\xbc\xc1\x07\x79\xdb\xbd\x00\x93\x24\xc4\x9d\xec\x81\x1b\xd3\x5b\xb0\x0c\x30\x8a\x0e\xf9\xd6\x37\x03\x65\xdf\x37\x61\xf3\x77\xad\x7f\x4c\x8b\x97\x5b\xa9\x2b\x4b\xe9\xf0\x9c\x27\x69\xfb\x8d\x3c\x9f\xb9\x10\x36\xcf\x50\x1b\xb3\xe5\xf6\xee\x1c\x3b\x6d\x9f\x58\x2c\xfd\x31\x57\xad\x2f\x07\x32\xe4\x04\xbb\x2c\x92\x7b\xd6\xe3\xe6\x60\x0f\x26\x18\xdb\xa3\x96\xec\xd9\xa0\x26\xe5\x80\xce\xf7\x6e\x68\xc0\x25\x49\xbb\x6f\x3a\x2a\x0e\x2c\x3b\x09\x81\xeb\x89\x19\xb3\xcc\x55\x00\xd4\xb6\x12\x49\x17\x2a\x97\x84\x81\xa6\xe6\x6e\x2d\x78\x68\x11\xcb\xa9\x2f\xa7\xa1\xf9\xfb\xa2\x19\x7c\x53\x22\x91\x96\x2b\xa0\x26\xb0\xfb\x4d\xfc\x69\xd4\x3c\xc0\x4e\x62\xca\xcd\xd1\xb5\xbe\xf8\x5f\xc4\xc3\xa3\x68\xdb\xea\xa1\x43\x28\x99\x9a\xcf\x0f\x98\xff\xb7\x88\x9b\x08\x42\xd8\x0d\xcf\xa3\xaf\x36\xec\xbe\xfd\x14\x84\x0d\x22\xca\x0b\x36\x69\x99\xbb\x94\x8c\x40\xfd\xaa\xbd\xcd\x2c\x2e\x2f\xdf\x7c\x19\x8c\xbe\x63\xdb\xe2\x88\x0d\x98\xd8\x40\x42\x9a\xb5\xd2\xab\xfa\x14\x0a\x58\x66\xb6\x4d\x22\x0f\xff\xb7\x1e\x13\x73\xf9\x87\xc0\x3a\xdf\xf4\x34\xde\x78\x43\xf1\xd5\xb7\xd8\xd5\x46\xdd\x6d\xcc\x19\x61\x4a\x7d\x1c\xe0\xe1\x03\xeb\xf8\x94\xdb\xab\x99\xb0\x16\xf4\xdf\xfc\x2f\x48\xcc\x93\xcf\x7e\x12\xb2\x93\x16\xfd\x36\xd1\x19\x16\x83\xe2\x74\x14\x17\xb3\x48\x8a\x59\x17\x5c\x2e\x77\x76\x9c\xaa\xde\xfd\x76\xda\x77\xb9\xbc\x5e\x28\x92\xc4\x52\xa8\x8c\x9d\xec\xef\xf6\x1d\xe3\x6b\x1b\x71\x46\x6a\xbb\xf2\x28\x6b\x90\x8b\x59\xf5\xe9\xb4\x0d\xa3\x42\x84\xfc\x36\xc8\xd2\xf7\x91\xfe\xbd\x31\x02\x0a\x53\x20\x13\xcc\x3e\xc3\xd8\x3c\x66\x91\xa9\x46\xab\xf7\xb9\x9a\xe9\x81\x7a\x30\xe0\xa7\x36\x5b\x31\xd7\xde\xd9\x35\x9b\xcf\xaf\x4a\x2d\x27\x9a\x51\x3a\x67\xe0\xf6\x8f\x1b\xd1\xe7\xad\xed\x63\x09\x22\xd6\xf1\x37\xf4\xa7\x4a\xec\x2f\x1d\x0a\x72\xea\x3a\x3c\x35\x88\x9f\xe2\x36\x74\x28\xf2\xb7\x3c\x63\x34\xd1\xad\x7b\x9b\xf1\xa8\x19\x54\xaa\xde\x02\xe8\x61\xad\x3b\xaa\xe9\xc0\xd1\xe6\xc4\x8d\x02\x96\x1f\xbd\xb0\x69\x3e\x97\x7d\x91\xdc\x87\xb3\xa9\x90\x35\xe7\xb4\x45\x1e\xf9\x3a\x5b\x5c\xf1\xf0\xe1\x42\x3a\xe6\x67\xbb\xe5\x4b\x3c\x17\x29\x5f\xcf\x87\x27\x63\x6c\x09\xf8\xd1\xdc\x4b\x33\xad\xf2\x4a\xee\xab\x4f\xf0\x47\xd4\xe3\xbc\x40\x94\x79\x90\x16\x57\xb2\x7c\xd5\x9a\x2e\x15\x56\x88\xc4\x4c\x9c\x01\x51\xc3\xec\xb0\xdb\xf6\xb4\xad\xb3\x3f\x13\x62\xba\x99\x74\x87\x87\x4f\x57\x98\x2c\x41\x1e\x78\x6a\x47\x63\xed\x7a\x71\xe9\x52\xd3\x74\xac\x9d\x1c\xb0\x36\xbe\xf8\x24\x63\x6a\x78\x88\xd5\xd9\xe6\xe9\x09\x61\x58\x1d\x3f\x4d\x82\x75\x09\x03\xfb\xef\xf6\x3f\xb2\xde\xeb\xe4\xf7\x2e\x46\xfe\xdf\xb7\xc6\x57\x11\xa7\x2c\x50\x99\xc0\x3d\x2d\x50\x7e\xd2\x6e\xcb\x38\xd7\xc8\x5f\xb1\xa8\xaf\x89\xa0\xab\xab\x28\xe7\xef\x24\x25\x56\x2e\xd1\xb0\xa7\x85\xf5\x3a\xa3\x91\xb0\xff\x31\xc3\xea\x41\x28\xc5\xfa\x14\xa3\x3a\x28\xdb\x48\x5e\x7e\x48\x81\x42\x99\xc5\xfb\x4a\x48", 4096);
*(uint64_t*)0x200014a0 = 0x1000;
*(uint64_t*)0x200014a8 = 0x38;
*(uint64_t*)0x200014b0 = 0x200013c0;
memcpy((void*)0x200013c0, "\x12\x97\x3e\x37\xc5\xcf\x44\xf0\xf3\xb8", 10);
*(uint64_t*)0x200014b8 = 0xa;
*(uint64_t*)0x200014c0 = 0x7fff;
*(uint64_t*)0x200014c8 = 0x20001400;
memcpy((void*)0x20001400, "\x1c\xc5\x68\x9e\x3e\x53\x99\x04\xb4\xa4\x75\x6e\x54\x7e\x95\x14\x31\x79\xd8\xd2\x2e\x6a\x67\xb7\x54\xf2\x05\x6b\xa7\xea\x67\xdf\x10\xdf\x91\x79\x33\xf6\x04\x06\xcb\x22\xcc\x12\x54\x6c\xcf\xf5\x87\x58\xc5\xc6\x2c\xa2\x91\x9c\xb1\x34\x8c\x9b\x09\x35\x77\xee\x23\x72\xf0\x02\x4d\x0d\x4d\x20\x6b\x77\x1a\x42\x46\xf2\x01\x77\x46\x57\x32\x20\xe2\xb3\x5f\xef\xcb\x65\x4f\x14\x6c\x37\x89\xf8\x65\x39", 98);
*(uint64_t*)0x200014d0 = 0x62;
*(uint64_t*)0x200014d8 = 0xe8;
memcpy((void*)0x20001500, "reiserfs\000", 9);
*(uint8_t*)0x20001509 = 0x2c;
memcpy((void*)0x2000150a, "seclabel", 8);
*(uint8_t*)0x20001512 = 0x2c;
memcpy((void*)0x20001513, "fowner", 6);
*(uint8_t*)0x20001519 = 0x3d;
sprintf((char*)0x2000151a, "%020llu", (long long)r[0]);
*(uint8_t*)0x2000152e = 0x2c;
*(uint8_t*)0x2000152f = 0;
syz_mount_image(0x20000080, 0x200000c0, 6, 4, 0x20001480, 0x101000, 0x20001500);
	return 0;
}
